For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
    • Upload content
    • Index content
    • Manage videos
    • Manage entities
    • Any-to-video search
      • POSTMake any-to-video search requests
      • GETRetrieve a specific page of search results
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceAny-to-video search

Retrieve a specific page of search results

GET
https://api.twelvelabs.io/v1.3/search/:page-token
GET
/v1.3/search/:page-token
$curl https://api.twelvelabs.io/v1.3/search/1234567890 \
> -H "x-api-key: <apiKey>"
1{
2 "data": [
3 {
4 "start": 238.75,
5 "end": 259.62109375,
6 "video_id": "639963a1ce36463e0199c8c7",
7 "rank": 1,
8 "thumbnail_url": "https://example.com/thumbnail.jpg"
9 }
10 ],
11 "search_pool": {
12 "total_count": 10,
13 "total_duration": 8731,
14 "index_id": "639961c9e219c90227c371a2"
15 }
16}
Use this endpoint to retrieve a specific page of search results. <Note title="Note"> When you use pagination, you will not be charged for retrieving subsequent pages of results. </Note>
Was this page helpful?
Previous

Create embeddings v2

Next
Built with

Use this endpoint to retrieve a specific page of search results.

Note

When you use pagination, you will not be charged for retrieving subsequent pages of results.

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

page-tokenstringRequired
A token that identifies the page to retrieve.

Query parameters

include_user_metadatabooleanOptional

Specifies whether to include user-defined metadata in the search results.

Response

Successfully retrieved the specified page of search results.
datalist of objects

An array that contains your search results. For each match found, the model returns the following fields:

page_infoobject
An object that provides information about pagination.
search_poolobject
An object that contains details about the index you queried.

Errors

400
Bad Request Error